#pragma once
#include "../controllers/admin_controller/admin_controller.h"
#include "../controllers/user_controller/user_controller.h"
#include <memory>


class UI {
    private:
        std::unique_ptr<AdminController> _adminController;
        std::unique_ptr<UserController> _userController;
    public:
        UI();
        ~UI();
        void run();
        void runAsAdmin();
        void runAsUser();
};
